
Showroom Mobile Banking - Bug #13831

MB - CommonFailed handling 

23 June 2022 10:42 AM - chok yee fan

Status: Resolved Start date: 23 June 2022

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

issue

------

Currently the commonFailed handling not organized

expected

------

Currently the commonFailed handler should organized

History

#1 - 23 June 2022 05:15 PM - Wong Mun Fung

r217686 | wongmf | 2022-06-23 17:14:59 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/assets/i18n/en.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/app.component.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts

mun fung : Bug #13831 MB - CommonFailed handling and Fix network offline/online checking issue by make sure platform ready before the code run

----------------------------------------------------------------------------

#2 - 24 June 2022 11:37 AM - Wong Mun Fung

- Status changed from New to Resolved

- Assignee changed from Wong Mun Fung to Hoo Dextor

#3 - 28 June 2022 06:47 PM - Wong Mun Fung

- Status changed from Resolved to In Progress

- Assignee changed from Hoo Dextor to Wong Mun Fung

#4 - 28 June 2022 06:48 PM - Wong Mun Fung

r217752 | wongmf | 2022-06-28 18:48:37 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts

mun fung : Bug #13831 MB - CommonFailed handling - Revamp again common effect error handling

----------------------------------------------------------------------------
#5 - 07 July 2022 10:40 AM - Wong Mun Fung

r217784 | wongmf | 2022-06-30 15:14:14 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/fund-transfer/fund-transfer.effects.ts

mun fung: change common.action to new ngrx format(same goes for commit/revision r217783) and Bug #13831 MB - CommonFailed handling

----------------------------------------------------------------------------

r217785 | wongmf | 2022-06-30 15:15:58 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/common.service.ts

mun fung: change common.service common fail action to new ngrx format

----------------------------------------------------------------------------

r217786 | wongmf | 2022-06-30 15:18:35 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/sl-common/network/sl-web-se

rvice.service.ts

mun fung : remove code that will show alert when call http native get error in sl-webservice

----------------------------------------------------------------------------

r217823 | wongmf | 2022-07-04 18:29:44 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/showroom-mb/src/app/shared/effects/common.effects.ts

mun fung : fix common fail outer observable stream will stop after error, change effect in common.effects to latest ngrx format

----------------------------------------------------------------------------

#6 - 07 July 2022 10:40 AM - Wong Mun Fung

IB >>

r217842 | wongmf | 2022-07-05 17:21:28 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/effects/sl-common.effects.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/actions/sl-common.actions.t

s

mun fung : IB showrooom web common.effect revamp

---------------------------------------------------------------------------

r217843 | wongmf | 2022-07-05 17:26:01 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/app-routing.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance/error-maintenanc
e.component.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance/error-maintenanc

e.component.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance/error-maintenanc

e.component.html

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance/error-maintenanc

e.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/error-maintenance/error-maintenanc

e-routing.module.ts

mun fung : error maintenance page for IB

----------------------------------------------------------------------------

r217845 | wongmf | 2022-07-05 17:31:23 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

mun fung : update IB en.json for common.effects and error maintenance page

----------------------------------------------------------------------------

#7 - 21 December 2022 01:06 PM - Wong Mun Fung

- Status changed from In Progress to Resolved

- Assignee changed from Wong Mun Fung to chok yee fan
